umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions | Variables
cxx11-constexpr.h File Reference

Go to the source code of this file.

## Classes
class | ConstExprConstructorDeclaration
class | ConstExprConstructorDefinition
class | ExplicitConstExprConstructorDeclaration
class | ExplicitConstExprConstructorDefinition

## Functions
constexpr int | get_five ()

## Variables
int | some_value [get_five()+7]
constexpr double | earth_gravitational_acceleration = 9.8
constexpr double | moon_gravitational_acceleration = earth_gravitational_acceleration / 6.0

## Function Documentation

## ◆ get_five()

int get_five | ( |  | ) |
| constexpr

## Variable Documentation

## ◆ earth_gravitational_acceleration

double earth_gravitational_acceleration = 9.8
| constexpr

## ◆ moon_gravitational_acceleration

double moon_gravitational_acceleration = earth_gravitational_acceleration / 6.0
| constexpr

## ◆ some_value

int some_value[get_five()+7]